Linux Integration Components 2.x won't compile on SLES11 SP1

This document (7007442) is provided subject to the disclaimer at the end of this document.

Environment

SUSE Linux Enterprise Server 11 Service Pack 1
 

Situation

There are drivers available for Linux running on the Hyper-V virtualization software available as Linux Integration Components(LIC). These compile well on SLES11 GA. Since Service Pack 1 they don't compile as documented in TID 000017201 Using Linux Integration Components 2.x with SLES

 

Resolution

Service Pack 1 has a much newer kernel which is incompatible with the drivers provided with LIC. However, the drivers are already included since Service Pack 1 in the respective kernel packages. There is no need to compile drivers from a different source.

Disclaimer

This Support Knowledgebase provides a valuable tool for SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7007442
  • Creation Date: 30-Dec-2010
  • Modified Date:15-Mar-2021
    • SUSE Linux Enterprise Server

< Back to Support Search

For questions or concerns with the SUSE Knowledgebase please contact: tidfeedback@suse.com

SUSE Support Forums

Get your questions answered by experienced Sys Ops or interact with other SUSE community experts.

Join Our Community

Support Resources

Learn how to get the most from the technical support you receive with your SUSE Subscription, Premium Support, Academic Program, or Partner Program.


SUSE Customer Support Quick Reference Guide SUSE Technical Support Handbook Update Advisories
Support FAQ

Open an Incident

Open an incident with SUSE Technical Support, manage your subscriptions, download patches, or manage user access.

Go to Customer Center